diff -Naur cython-0.12.1/debian/changelog cython-0.12.1-withdbg/debian/changelog
--- cython-0.12.1/debian/changelog	2010-05-05 15:33:28.000000000 -0400
+++ cython-0.12.1-withdbg/debian/changelog	2010-05-05 14:12:45.856424712 -0400
@@ -1,3 +1,10 @@
+cython (0.12.1-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Introducing cython-dbg (Closes: #541314)
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 May 2010 14:11:54 -0400
+
 cython (0.12.1-1) unstable; urgency=low
 
   [ Kirill Smelkov ]
diff -Naur cython-0.12.1/debian/control cython-0.12.1-withdbg/debian/control
--- cython-0.12.1/debian/control	2010-05-05 15:33:28.000000000 -0400
+++ cython-0.12.1-withdbg/debian/control	2010-05-05 15:10:18.655957040 -0400
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5)
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.38), python (>= 2.4.4-6), python-all-dev (>= 2.4.4-6), python-support (>= 0.7.5), python-all-dbg
 Standards-Version: 3.8.3
 Homepage: http://cython.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/cython/trunk
@@ -27,3 +27,14 @@
  .
  This makes Cython the ideal language for wrapping for external C libraries, and
  for fast C modules that speed up the execution of Python code.
+
+Package: cython-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
+Suggests: gcc
+XB-Python-Version: ${python:Versions}
+Description: C-Extensions for Python (Debug Build of Cython)
+ This package contains Cython libraries built against versions of
+ Python configured with --pydebug.
diff -Naur cython-0.12.1/debian/rules cython-0.12.1-withdbg/debian/rules
--- cython-0.12.1/debian/rules	2010-05-05 15:33:28.000000000 -0400
+++ cython-0.12.1-withdbg/debian/rules	2010-05-05 14:35:08.907989736 -0400
@@ -9,5 +9,31 @@
 install/cython::
 	dh_installman debian/cython.1
 
+
+#
+# Debugging version -dbg
+#
+# Re-build using python-dbg
+install/cython-dbg ::
+	for i in $(cdbs_python_build_versions); do \
+	  python$$i-dbg ./setup.py install $(DEB_PYTHON_INSTALL_ARGS_ALL) \
+		 --root $(CURDIR)/debian/cython-dbg; \
+	done
+	: # Keep only _d.so files for cython-dbg package
+	find debian/cython-dbg ! -type d ! -name '*_d.so' | xargs rm -f
+	: # Prune empty directories
+	find debian/cython-dbg -depth -empty -exec rmdir \{\} \;
+
+binary-predeb/cython-dbg::
+	mkdir -p debian/cython-dbg/usr/share/doc
+	ln -s cython debian/cython-dbg/usr/share/doc/cython-dbg
+
+
 clean::
 	rm -f Cython/Compiler/Lexicon.pickle Cython/*/*.c
+	: # Just prune build entirely
+	rm -rf build
+
+# Install directly into package directory (despite multiple packages
+# due to having cython-dbg)
+DEB_DESTDIR = $(CURDIR)/debian/cython
